[arch-commits] Commit in libxres/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 19:58:59 EDT 2009


    Date: Tuesday, April 14, 2009 @ 19:58:59
  Author: eric
Revision: 35643

upgpkg: libxres 1.0.3-2
    Added license

Modified:
  libxres/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-14 23:57:44 UTC (rev 35642)
+++ PKGBUILD	2009-04-14 23:58:59 UTC (rev 35643)
@@ -3,20 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxres
 pkgver=1.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Resource extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org"
+license=('custom')
 depends=('libxext')
 makedepends=('pkgconfig' 'resourceproto' 'damageproto' 'compositeproto' 'scrnsaverproto')
 options=(!libtool)
 source=(${url}/releases/individual/lib/libXres-${pkgver}.tar.bz2)
+md5sums=('de66ffb657aba64c9d6dbdeabb757f3e')
 
 build() {
-  cd ${startdir}/src/libXres-${pkgver}
+  cd ${srcdir}/libXres-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('de66ffb657aba64c9d6dbdeabb757f3e')



More information about the arch-commits mailing list